.aolei_home_contact_us {
    position: relative;
    background: #F7F8FA;
}

.aolei_home_contact_us .content-box {
    padding: 213px 0;
    padding-right: 20%;
    z-index: 1;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    gap: 10px;
    width: 64%;
    /* background: linear-gradient(90deg, #F7F8FA 90%, rgba(247, 248, 250, 0.00) 100%); */
}

.aolei_home_contact_us .content-title {
    font-size: var(--font-40);
    font-weight: 400;
    line-height: normal;
    font-family: var(--title-font-family);
    color: var(--title-text-color);
    z-index: 2;
}

.aolei_home_contact_us .content-desc {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: 2;
    font-family: var(--font-family);
    color: #292c33;
    letter-spacing: -0.84px;
    z-index: 2;
}

.aolei_home_contact_us .content-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding: 10px 25px;
    background: var(--bg-color);
    border: 1px solid var(--color-primary);
    box-shadow: 0 3px 4px 0 rgba(215, 34, 41, 0.08);
    color: #292C33;
    font-size: var(--font-16);
    font-weight: 700;
    line-height: normal;
    font-family: var(--font-family);
    transition: all 0.3s ease;
    z-index: 2;
}

.aolei_home_contact_us .content-btn:hover {
    color: var(--color-primary);
}

.aolei_home_contact_us .content-btn:hover svg path {
    fill: var(--color-primary);
    transition: all 0.3s ease;
}

.aolei_home_contact_us .contact-map {
    position: absolute;
    right: 0;
    top: 0;
    width: 45%;
    height: 100%;
    z-index: 0;
}
.aolei_home_contact_us .contact-map iframe{
    width: 100%;
    height: 100%;
}
.aolei_home_contact_us .contact-box {
    position: absolute;
    right: 17px;
    bottom: 110px;
    width: 300px;
    height: 230px;
    z-index: 2;
}

.aolei_home_contact_us .contact-content {
    background: #FFF;
    height: 100%;
    margin: 0;
    padding: 22px 12px;
    clip-path: polygon(0 100%, 0 0, 100% 0, 100% calc(100% - 30px), calc(100% - 30px) 100%);
}

.aolei_home_contact_us .contact-box::before {
    content: '';
    position: absolute;
    right: -8px;
    bottom: -8px;
    width: calc(100% + 8px);
    height: calc(100% + 8px);
    background: #F3F3F7;
    z-index: -1;
    clip-path: polygon(0 100%, 0 0, 100% 0, 100% calc(100% - 30px), calc(100% - 30px) 100%);
}

.aolei_home_contact_us .contact-box::after {
    content: '';
    position: absolute;
    right: -9px;
    bottom: -9px;
    width: calc(100% + 9px);
    height: calc(100% + 9px);
    background: var(--color-primary);
    z-index: -2;
    clip-path: polygon(0 100%, 0 0, 100% 0, 100% calc(100% - 30px), calc(100% - 30px) 100%);
}

.aolei_home_contact_us .contact-content li,
.aolei_home_contact_us .contact-content a {
    font-size: 15px;
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    line-height: 2;
    color: #292C33;
}

.aolei_home_contact_us .contact-content .contact-title {
    font-weight: 700;
}

.aolei_home_contact_us .line-1 {
    --line1-height: 417px;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 1;
    pointer-events: none;
    width: calc(var(--line1-height) * 1px * 1087 / 417);
    height: var(--line1-height);
}

.aolei_home_contact_us .line-2 {
    --line2-height: 107px;
    position: absolute;
    left: 0;
    bottom: 26px;
    z-index: 1;
    pointer-events: none;
    width: calc(var(--line2-height) * 1px * 1602 / 107);
    height: var(--line2-height);
}

@media (max-width: 1500px) {
    .aolei_home_contact_us .line-1 {
        --line1-height: 46%;
    }

    .aolei_home_contact_us .line-2 {
        --line2-height: 12%;
    }
}

@media (max-width: 1200px) {
    .aolei_home_contact_us .line-1 {
        --line1-height: 41%;
    }

    .aolei_home_contact_us .line-2 {
        --line2-height: 10%;
    }
}

@media (max-width: 992px) {
    .aolei_home_contact_us .content-box {
        padding: 150px 0;
        padding-right: 15%;
        /* background: linear-gradient(90deg, #F7F8FA 80%, rgba(247, 248, 250, 0.00) 100%); */
    }

    .aolei_home_contact_us .contact-map {
        width: 50%;
    }

    .aolei_home_contact_us .contact-box {
        bottom: 80px;
    }

    .aolei_home_contact_us .line-1 {
        --line1-height: 33%;
    }

    .aolei_home_contact_us .line-2 {
        --line2-height: 7%;
    }
}

@media (max-width: 768px) {
    .aolei_home_contact_us .container {
        width: 100%;
        margin: 0;
        padding: 0;
    }

    .aolei_home_contact_us .content-box {
        width: 100%;
        padding: 400px 30px 30px;
        /* background: linear-gradient(0deg, #F7F8FA 35%, rgba(247, 248, 250, 0.00) 50%); */
    }

    .aolei_home_contact_us .contact-map {
        bottom: unset;
        top: 0;
        width: 100%;
        height: 65%;
    }

    .aolei_home_contact_us .contact-box {
        top: 100px;
    }

    .aolei_home_contact_us .line-1,
    .aolei_home_contact_us .line-2 {
        display: none !important;
    }

}

@media (max-width: 576px) {}